Revision 22b0cfd8 docs/quick-install-admin-guide.rst

b/docs/quick-install-admin-guide.rst
1418 1418
component right now.
1419 1419

  
1420 1420

  
1421
.. _cyclades-install-vncauthproxy:
1422

  
1423
vncauthproxy
1424
------------
1425

  
1426
To support OOB console access to the VMs over VNC, the vncauthproxy
1427
daemon must be running on every :ref:`APISERVER <APISERVER_NODE>` node.
1428

  
1429
.. note:: The Debian package for vncauthproxy undertakes all configuration
1430
   automatically.
1431

  
1432
Download and install the latest vncauthproxy from its own repository,
1433
at `https://code.grnet.gr/git/vncauthproxy`, or a specific commit:
1434

  
1435
.. code-block:: console
1436

  
1437
    $ bin/pip install -e git+https://code.grnet.gr/git/vncauthproxy@INSERT_COMMIT_HERE#egg=vncauthproxy
1438

  
1439
Create ``/var/log/vncauthproxy`` and set its permissions appropriately.
1440

  
1441
Alternatively, build and install Debian packages.
1442

  
1443
.. code-block:: console
1444

  
1445
    $ git checkout debian
1446
    $ dpkg-buildpackage -b -uc -us
1447
    # dpkg -i ../vncauthproxy_1.0-1_all.deb
1448

  
1449
.. warning::
1450
    **Failure to build the package on the Mac.**
1451

  
1452
    ``libevent``, a requirement for gevent which in turn is a requirement for
1453
    vncauthproxy is not included in `MacOSX` by default and installing it with
1454
    MacPorts does not lead to a version that can be found by the gevent
1455
    build process. A quick workaround is to execute the following commands::
1456

  
1457
        $ cd $SYNNEFO
1458
        $ sudo pip install -e git+https://code.grnet.gr/git/vncauthproxy@5a196d8481e171a#egg=vncauthproxy
1459
        <the above fails>
1460
        $ cd build/gevent
1461
        $ sudo python setup.py -I/opt/local/include -L/opt/local/lib build
1462
        $ cd $SYNNEFO
1463
        $ sudo pip install -e git+https://code.grnet.gr/git/vncauthproxy@5a196d8481e171a#egg=vncauthproxy
1464

  
1465
.. todo:: Mention vncauthproxy bug, snf-vncauthproxy, inability to install using pip
1466
.. todo:: kpap: fix installation commands
1467

  
1468

  
1469 1421
Configuration of Cyclades (and Plankton)
1470 1422
========================================
1471 1423

  

Also available in: Unified diff